China factories

Post-modern Simple Living Room Chandelier Creative Bedroom Showroom Hotel Decorative Pendant Lamp

Price: Negotiation Get Latest Price
  • Brand Name: JYLIGHTING
  • Model Number: JYL2-0084
  • Minimum Order Quantity: 5 pcs
  • Delivery Time: 5-8 work days
  • view more

Modern Pendant Lamp Nordic Glass Ball Light Fixtures Hanging Suspension Light(WH-GP-48)

Price: 1-100USD Get Latest Price
  • Brand Name: Well House (LTCELE)
  • Model Number: WH-GP-48
  • Minimum Order Quantity: 1pcs
  • Delivery Time: 15-30 days
  • view more

Hotel villa stone leaf and bird chandelier for hotel big pendant lamp for home

Price: 10USD-70USD Get Latest Price
  • Brand Name: BOLITE
  • Model Number: BO1067-A
  • Minimum Order Quantity: 1Pieces
  • Delivery Time: 7-25DAYS
  • view more

Suitable for Villa Hotel Stone Pendant Lamp Sales Department Ballroom Decoration Custom Chandelier

Price: Negotiable Get Latest Price
  • Brand Name: ZSHONORHIGH, SIDEREAL
  • Model Number: Negotiable
  • Minimum Order Quantity: 10pcs
  • Delivery Time: 25-30days or confirm
  • view more

Hotel modern indoor led pendant lamp 3W led pendant light/LED droplight for luxurious hotel

Price: Negotiable Get Latest Price
  • Brand Name: AIA LED
  • Model Number: PD046-BK
  • Minimum Order Quantity: 50PCS
  • Delivery Time: 15-35days of 3W LED Pendant light
  • view more

4W Alabaster Pendant Lamp 100V - 277V Modern Kitchen Pendant Light

Price: 100-10000USD Get Latest Price
  • Brand Name: MOMO
  • Model Number: MMPD150230
  • Minimum Order Quantity: 1
  • Delivery Time: 1 week
  • view more

Ceiling Mounted Hotel Lobby Chandelier For Hotel Drop Pendants

Price: Negotiable Get Latest Price
  • Brand Name: Yihaowo
  • Model Number: YH-L0011309
  • Minimum Order Quantity: 1PC
  • Delivery Time: 10-30 working days
  • view more

24W LED Waterproof Wall Lamp for Bedroom Living Room Corridor Hotel Modern Minimalist

Price: $8.20 - $18.50/pieces Get Latest Price
  • Brand Name: SUNSHINING
  • Model Number: SL-BE-BD-1217
  • Minimum Order Quantity: 500 pieces
  • Delivery Time: Negotiable
  • view more

Remote Control 3000K Color Temperature 8W LED Table Lamp Modern Mood Lamp for Bedroom and Hotel

Price: $14.99-19.99 Get Latest Price
  • Brand Name: Valed
  • Model Number: R9
  • Minimum Order Quantity: 1
  • Delivery Time: Negotiable
  • view more

Modern White Cloud Chandelier Light Cloud Pendant Lamp Floating Cloud Lamp

Price: Negotiable Get Latest Price
  • Brand Name: HAFE
  • Model Number: CL15
  • Minimum Order Quantity: 1unit
  • Delivery Time: 5-8 Working Days
  • view more

Hafe International Limited

Hong kong ,Hong kong

  • 9YRS
  • Verified Supplier

110-240V Voltage Customized Pendant Lamp with Metal Finish and Craftsmanship

Price: Negotiable Get Latest Price
  • Brand Name: Negotiable
  • Model Number: Negotiable
  • Minimum Order Quantity: Negotiable
  • Delivery Time: Negotiable
  • view more

Modern Nordic Art Designer Table Lamp Model Room Hotel Decorative Table Lamp

Price: Negotiable Get Latest Price
  • Brand Name: GRH
  • Model Number: GRH-RFC1157,GRH-RFC1151,GRH-RFC1157,GRH-RFC1136
  • Minimum Order Quantity: 1000 PCS
  • Delivery Time: Negotiable
  • view more

DIY Assembly Modern Table Lamp with Monkey Figurine & Feather Art Deco Design for Home Hotel Living Room Decor Creative Lighting

Price: 15 Get Latest Price
  • Brand Name: Zhengming
  • Model Number: NO1
  • Minimum Order Quantity: 100
  • Delivery Time: 20
  • view more

Modern Design Style High-End Decorative Pendant Lamps Wall Lights for Bedroom Living Room for Service Apartments Ready Move

Price: ≥5 sets $28-100 Get Latest Price
  • Brand Name: Negotiable
  • Model Number: EG-BED1050
  • Minimum Order Quantity: ≥5sets
  • Delivery Time: 4 work days
  • view more

1200mm 150lm/W 3CCT Adjustable LED Wall Light Modern Wall Lamp Light Fixtures

Price: Negotiable Get Latest Price
  • Brand Name: HS
  • Model Number: HS-WL-F120
  • Minimum Order Quantity: 12
  • Delivery Time: Negotiable
  • view more

Hotel Modern LED Ceiling Spotlights Anti Glare Adjustable GU10 Downlight

Price: Negotiable Get Latest Price
  • Brand Name: TOSEO
  • Model Number: TS5642
  • Minimum Order Quantity: 300
  • Delivery Time: 45
  • view more

Brass Carbon Steel Swiveling Slotted Cable Gripper Wire Clip for Pendant Lamp Light

Price: $0.34-0.40 Get Latest Price
  • Brand Name: Meiyan
  • Model Number: Cable Gripper
  • Minimum Order Quantity: 500
  • Delivery Time: Negotiable
  • view more

2021 Hot Various Type Clear Crystal Chandelier Pendant With Octagon Beads Strand Chains Lamp Parts For Wedding/Hotel Lamp Decor

Price: Negotiable Get Latest Price
  • Brand Name: Negotiable
  • Model Number: Negotiable
  • Minimum Order Quantity: Negotiable
  • Delivery Time: Negotiable
  • view more

Ceiling Canopy Base Multi Size DIY Kit 3 4 5 Holes Black White Gold Plate for Pendant Lights

Price: USD 3.5-5.5 / Piece Get Latest Price
  • Brand Name: Yuyang
  • Model Number: Y-P10
  • Minimum Order Quantity: 100 Pieces
  • Delivery Time: 3-7 days for samples, 15-25 days for production
  • view more

ODM Plastic Socket 300V E27 Porcelain Lamp Holder Save Energy

Price: Negotiable Get Latest Price
  • Brand Name: BETT
  • Model Number: E27
  • Minimum Order Quantity: Negotiable
  • Delivery Time: 3-7 Work days
  • view more